Required Question Error

288
4
Jump to solution
03-07-2022 08:08 PM
EmilyMcLeanACTGOV
Occasional Contributor

I have been building a new survey, and have gotten to the point where I am applying the conditional logic, and governance around questions to ensure that it will be filled out correctly. I have been experiencing an error since applying expressions within the required field of certain questions. The questions occur on the second page of my survey, and are only relevant if certain options are selected on the first page of my survey. 

Since publishing the survey, and error appears when moving between the first and second page of the survey. The error reads: 

Survey contains errors: 2. Press here to navigate to each error.

Upon selecting the message as instructed, it navigates me to the two required questions on Page 2, which I haven't even looked at yet (as I have only just clicked next on page 1).

I'm just wondering is this expected behaviour? Surely having a required condition based on a question within a prior page should not cause an error before having entered data on the page in question? 

Emily
0 Kudos
1 Solution

Accepted Solutions
EmilyMcLeanACTGOV
Occasional Contributor

I have found a work around to this error. Because the question also has the same expression within the relevant field, I updated the required field to 'yes'. This has resolved the error, and allows for the fields to be required when the question is relevant. Still not sure why the error occurred in the first place, but for now it is not causing any issues.  

Emily

View solution in original post

0 Kudos
4 Replies
alison_gou
Esri Contributor

Hi @EmilyMcLeanACTGOV ,

I tried your workflow and did not reproduce this issue at my end, can you share a xlsx form so that I can proceed on this?

Thanks,

0 Kudos
EmilyMcLeanACTGOV
Occasional Contributor

Hi @alison_gou , 

I have sent you a DM. 

Thanks!

Emily
0 Kudos
EmilyMcLeanACTGOV
Occasional Contributor

I have found a work around to this error. Because the question also has the same expression within the relevant field, I updated the required field to 'yes'. This has resolved the error, and allows for the fields to be required when the question is relevant. Still not sure why the error occurred in the first place, but for now it is not causing any issues.  

Emily
0 Kudos
Richard_Purkis
Esri Contributor

I have been working on a support case where we have been noticing the same issue and a BUG has been logged

  • BUG-000155246: The error Survey contains errors is shown at the top of a page which contains a required question which is dependant on the value of a question from a previous page

Just letting people on here know about it in case they come across the same issue

Thanks

0 Kudos